Unit MNI20_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

procedure MNI20(FUN :Proc_F4_MN; N :Integer; M :Integer; L :Integer;
                var X :Array of Real; var FX :Real;
                var F :Array of Real; var FS :Real);

implementation

procedure MNI20(FUN :Proc_F4_MN; N :Integer; M :Integer; L :Integer;
                var X :Array of Real; var FX :Real;
                var F :Array of Real; var FS :Real);
var
I,J :Integer;
FE :Real;
label
_5,_10,_15;
begin
FE := 0.0;
FS := 0.0;
_MNI1.elm4 := _MNI1.elm4+1;
J := 2;
for I:=1 to L do
 begin
_5:
  F[I-1] := 1.0;
 end;
FUN(X,F,FE);
_10:
if ( J > L ) 
 then goto _15;
if ( F[J-1] > 0 ) or ( J > M ) 
 then FS := FS+Power(Abs(F[J-1]),_MNI1.elm1);
J := J+1;
goto _10;
_15:
FX := F[0]+_MNI1.elm3*FS;
end;

end.
