{    var   : }
{ N, M, L }
Unit MNI1R_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, MNI20_p, MNI25_p, MNR1N_p, MNI30_p, MNI10_p, MNR1S_p;

procedure MNI1R(var N :Integer; var X :Array of Real;
                var A :Array of Real; var B :Array of Real;
                var M :Integer; var L :Integer; var F :Array of Real;
                FUN :Proc_F4_MN; var G :Array of Real; GRAD :Proc_F5_MN;
                var UP :Array of Real; var I0 :Array of Integer;
                var RM :Array of Real; var IW :Integer; MNI :Proc_MNI05);

implementation

procedure MNI1R(var N :Integer; var X :Array of Real;
                var A :Array of Real; var B :Array of Real;
                var M :Integer; var L :Integer; var F :Array of Real;
                FUN :Proc_F4_MN; var G :Array of Real; GRAD :Proc_F5_MN;
                var UP :Array of Real; var I0 :Array of Integer;
                var RM :Array of Real; var IW :Integer; MNI :Proc_MNI05);
var
NI,KMAX,NP,KP,K1,K2,K3,K4,K5,K6,K7,I,MG1,MP1,K5I,K7I,K4I,NIT :Integer;
FZ,FS,FX,R1,R2,R3,R4,T,E1 :Real;
label
_1,_2,_4,_5,_10,_15,_16,_18,_20,_21,_22,_35,_36,_37,_38,_40,_45,_46,
_50,_51,_52,_54,_55,_57,_60,_65,_70,_73,_75,_76,_77,_78,_80,_85,_90,
_95,_100;
begin
_MNI1.elm7 := Trunc( UP[14] );
FZ := 1.E+18;
if ( L > 1 ) 
 then goto _1;
_MNI2.elm9 := 134;
_MNI2.elm2 := UP[7];
_MNI2.elm1 := UP[6];
goto _2;
_1:
_MNI1.elm3 := UP[1];
_MNI2.elm3 := UP[10];
_MNI2.elm1 := UP[11];
_MNI2.elm2 := UP[12];
_MNI2.elm14 := 1;
_MNI2.elm9 := 1;
_MNI1.elm1 := UP[0];
_MNI1.elm2 := _MNI1.elm1-1.0;
_MNI2.elm4 := 10.0;
_2:
NI := 0;
_MNI1.elm4 := 0;
_MNI1.elm5 := 0;
IW := 0;
_MNI2.elm8 := Trunc( UP[3] );
_MNI2.elm11 := Trunc( UP[4] );
KMAX := Trunc( UP[13] );
NP := Trunc( UP[8] );
KP := Trunc( UP[9] );
_MNI2.elm5 := 1;
K1 := 2*N+1;
K2 := Trunc(IntPower(N,2)+2*N+1);
K3 := Trunc(2*IntPower(N,2)+2*N+1);
K4 := K3+5*N-1;
K5 := K3+6*N-1;
K6 := K3+7*N;
K7 := K3+N-1;
_MNI2.elm13 := N-1;
_MNI1.elm6 := M+1;
_MNI2.elm12 := 1.E-10;
MNI20(FUN,N,M,L,X,FX,F,FS);
_4:
MNI25(GRAD,N,M,L,X,F,G,I0,RM[K4+0]);
_5:
for I:=1 to N do
 begin
  K4I := K4+I;
  K5I := K5+I;
_10:
  G[I-1] := RM[K4I-1]+_MNI1.elm3*RM[K5I-1];
 end;
MNR1N(G,N,_MNI2.elm6);
FX := F[0]+_MNI1.elm3*FS;
_15:
_MNI2.elm10 := 0;
_16:
for I:=1 to N do
 begin
  if ( X[I-1] < A[I-1]+_MNI2.elm1 ) and ( G[I-1] > 0 ) 
   then G[I-1] := 0;
  if ( X[I-1] > B[I-1]-_MNI2.elm1 ) and ( G[I-1] < 0 ) 
   then G[I-1] := 0;
_18:
 end;
MNR1N(G,N,_MNI2.elm7);
if ( NP <> 0 ) or ( KP = 0 ) or ( NI <> 0 ) 
 then goto _20;
MNI30 (N,M,L,NI,X,FX,F);
_20:
if ( _MNI2.elm7 <= _MNI2.elm12 ) 
 then goto _77;
_21:
if ( NI >= KMAX ) 
 then goto _85;
_MNI2.elm14 := _MNI2.elm9;
NI := NI+1;
MNI10 (FUN,GRAD,N,M,L,A,B,X,FX,
     F,FS,G,I0,RM[K1-1],RM[K2-1],RM[K3-1],RM[K6-1],MNI);
if ( NI < NP ) or ( KP = 0 ) or ( ((NI-NP) Mod (KP)) <> 0 ) 
 then goto _22;
MNI30 (N,M,L,NI,X,FX,F);
_22:
if ( _MNI2.elm9 = 9 ) 
 then goto _90;
if ( L > 1) or (_MNI2.elm9 <> 4 ) 
 then goto _35;
_MNI2.elm9 := 134;
goto _21;
_35:
if ( _MNI2.elm9 = 13 ) 
 then goto _70;
if ( _MNI2.elm9 = 5 ) 
 then goto _77;
if ( _MNI2.elm9 = 4 ) 
 then goto _45;
if ( FS <= _MNI2.elm3 ) 
 then goto _37;
_36:
if ( _MNI2.elm11 = 1 ) 
 then _MNI2.elm1 := _MNI2.elm5*0.1;
_MNI1.elm3 := _MNI1.elm3*UP[2];
goto _5;
_37:
for I:=1 to N do
 begin
_38:
  RM[I-1] := X[I-1];
 end;
_40:
FZ := FX;
_MNI2.elm11 := Trunc( UP[4] );
_MNI2.elm9 := 134;
goto _21;
_45:
if ( FZ >= FX ) 
 then goto _50;
_MNI2.elm4 := EMax1(_MNI2.elm4/2.0,1.0);
for I:=1 to N do
 begin
  X[I-1] := RM[I-1];
  NIT := N+I;
_46:
  G[I-1] := RM[NIT-1];
 end;
FX := FZ;
_MNI2.elm6 := MG1;
_MNI2.elm7 := MP1;
_MNI2.elm9 := 134;
goto _21;
_50:
for I:=1 to N do
 begin
  K4I := K4+I;
  K7I := K7+I;
  RM[K7I-1] := RM[K4I-1];
  NIT := N+I;
  RM[NIT-1] := X[I-1]-RM[I-1];
  if ( X[I-1] > A[I-1]+_MNI2.elm1 ) 
   then goto _51;
  K4I := K4+I;
  K7I := K7+I;
  if ( RM[K4I-1] > 0 ) 
   then RM[K7I-1] := 0;
  NIT := N+I;
  if ( X[I-1] < RM[I-1] ) 
   then RM[NIT-1] := 0.0;
_51:
  if ( X[I-1] < B[I-1]-_MNI2.elm1 ) 
   then goto _52;
  K7I := K7+I;
  K4I := K4+I;
  if ( RM[K4I-1] < 0 ) 
   then RM[K7I-1] := 0;
  NIT := N+I;
  if ( X[I-1] > RM[I-1] ) 
   then RM[NIT-1] := 0.0;
_52:
 end;
MNR1N(RM[N+0],N,R1);
MNR1N(RM[K7+0],N,R2);
T := 0.0;
if ( R2 <= _MNI2.elm12 ) 
 then goto _37;
_54:
for I:=1 to N do
 begin
  NIT := N+I;
  K7I := K7+I;
_55:
  RM[I-1] := RM[NIT-1]*(1-T)/R1-T*RM[K7I-1]/R2;
 end;
MNR1N(RM[0],N,R4);
if ( R4 <= _MNI2.elm12 ) 
 then goto _57;
MNR1S(RM[K7+0],RM[0],N,R3);
R3 := R3/R4;
if ( R3+_MNI2.elm12 < 0 ) 
 then goto _60;
_57:
T := T+0.1;
goto _54;
_60:
for I:=1 to N do
 begin
  K7I := K7+I;
  RM[K7I-1] := RM[I-1]/R4;
  NIT := N+I;
  RM[NIT-1] := G[I-1];
_65:
  RM[I-1] := X[I-1];
 end;
FZ := FX;
MP1 := Trunc( _MNI2.elm7 );
MG1 := Trunc( _MNI2.elm6 );
FX := F[0];
_MNI2.elm9 := 4;
E1 := _MNI1.elm3;
_MNI1.elm3 := 0;
_MNI2.elm5 := EMax1(_MNI2.elm3,_MNI2.elm5);
MNI(FUN,A,B,N,M,L,RM[0],FX,F,FS,X,RM[K7+0],R3,RM[K6-1]);
_MNI1.elm3 := E1;
_MNI2.elm11 := Trunc( UP[4] );
_MNI2.elm9 := 134;
goto _4;
_70:
if ( FS <= UP[5] ) and ( _MNI2.elm5 <= UP[6] ) 
 then goto _76;
if ( FS <= UP[5] ) 
 then goto _75;
_73:
_MNI2.elm9 := 1;
_MNI1.elm3 := _MNI1.elm3*UP[2];
_MNI2.elm4 := 10.0;
_MNI2.elm3 := EMin1(1.0,FS)*0.1;
goto _5;
_75:
_MNI2.elm9 := 134;
_MNI2.elm11 := Trunc( UP[4] );
_MNI2.elm1 := EMax1(_MNI2.elm5*0.1,UP[6]);
goto _16;
_76:
if ( _MNI2.elm7 <= UP[7] ) 
 then goto _80;
_MNI2.elm2 := EMax1(_MNI2.elm7*0.1,UP[7]);
goto _40;
_77:
if ( FS > UP[5] ) 
 then goto _78;
goto _80;
_78:
if ( _MNI2.elm14 = 134 ) 
 then goto _73;
_MNI2.elm9 := 1;
goto _36;
_80:
IW := 1;
goto _90;
_85:
IW := 4;
_90:
for I:=1 to N do
 begin
  K4I := K4+I;
_95:
  G[I-1] := RM[K4I-1];
 end;
if ( KP = 0 ) or ( (NI >= NP ) and ( ((NI-NP) Mod (KP)) = 0) ) 
 then goto _100;
MNI30 (N,M,L,NI,X,FX,F);
_100:
RM[0] := NI;
RM[1] := _MNI1.elm4;
RM[2] := _MNI1.elm5;
end;

end.
